body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  background-color: white;
}

/* header */

.navbar {
  position: fixed;
  top: 0;
  z-index: 1000;
  width: 100%;
  background-color: white;
}

.navbar-brand {
  margin-top: 17px;
  padding-right: 60px;
  font-weight: bolder;
  font-size: 25px;
}

.navbar-brand:hover {
  color: #ffa600;
}

.navbar-nav .nav-link.active,
.navbar-nav .nav-link.show {
  color: #ffa600;
  font-weight: bold;
}

/* main-section */

.main-section {
  margin-top: 50px;
}
.main-section-img {
  margin-top: 50px;
}

.main-section-title h1 {
  font-weight: bold;
}

.btn1 {
  background-color: #ffa600;
  color: white;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.btn1:hover {
  background-color: #ffa600;
  opacity: 0.8;
  color: white;
}

.o {
  color: #ffa600;
}

/* section1 */

.section1 {
  margin: 0 auto;
  background-color: rgb(255, 251, 244);
  padding-top: 50px;
  padding-bottom: 50px;
}

h2 {
  font-weight: bold;
}

.section1 p,
.section3 p {
  font-size: 1.1rem;
}

.section1 .card, 
.recipe-grid-display .card {
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  height: 21rem;
  border-radius: 10px;
  border: 2px solid transparent;
  transition: border-color 0.3s ease;
}

.recipe-grid-display h2 {
  text-align: center;
  font-size: 2.3rem;
  margin-top: 10px;
  margin-bottom: 20px;
  color: #ffa600;
} 

.recipe-grid-display .card {
  height: 22rem;
  border: 1px solid #ffa600;
}

.recipe-grid-display .card button {
  border-color: #ffa600;
}

.recipe-grid-display .row {
  justify-content: center;
  gap: 16px;
}

.section1 .card:hover {
  border-color: #ffa600;
}

.section1 .card img,
.recipe-grid-display .card img {
  margin-top: 10px;
  border-radius: 10px;
}

.title {
  text-align: center;
  padding-bottom: 20px;
}

.card-body, 
.recipe-grid-display .card .card-body {
  height: 16rem;
  font-size: 1rem;
  line-height: 1.3;
  padding-left: 2px;
  width: 100%;
}


.p {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.section1 .card-title,
.recipe-grid-display .card .card-title {
  font-size: 1.05rem;
  color: black;
}

.section1 .card-text,
.recipe-grid-display .card .card-text {
  font-size: 0.9rem;
}

.btn2 {
  width: 100%;
}

.btn2:hover {
  background-color: #ffa600;
  border: none;
  color: white;
}



/* section4 */

.section4 {
  margin: 0 auto;
  background-color: rgb(255, 251, 244);
  padding-top: 50px;
  padding-bottom: 70px;
}

h2 {
  font-weight: bold;
}

.section4 p {
  font-size: 1.1rem;
}

.section4 .card {
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  height: 20rem;
  border-radius: 10px;
  transition: all 0.2s ease;
  background-color: #ffa600;
  border: none;
  color: white;
}

.section4 .card img {
  margin-top: 10px;
  border-radius: 10px;
}

.section4 .title {
  text-align: center;
  padding-bottom: 20px;
}

.section4 .card-body {
  height: 13rem;
  font-size: 1rem;
  line-height: 1.3;
  padding-left: 2px;
  width: 100%;
}

.section4 .p {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.section4 .card-title {
  font-size: 1.05rem;
}

.section4 .card-text {
  font-size: 0.9rem;
  padding-bottom: 10px;
}

.slider-container {
  margin: 0 auto;
  width: 80%;
  overflow-x: auto;
  overscroll-behavior-x: contain;
}

.slider {
  display: flex;
  transition: transform 0.5s ease;
}

.slide {
  padding: 20px;
  box-sizing: border-box;
}

.slide .card {
  padding: 10px;
  padding-top: 2px;
}

.btn3 {
  margin: 0 auto;
  margin-top: 30px;
  width: fit-content;
}

.ul {
  display: flex;
  gap: 13px;
}

.ul li {
  font-size: 0.75rem;
  padding-right: 10px;
}

.plate-image {
  width: 300px;
}

/* section5 */

.sub-container1 {
  display: flex;
  flex-direction: row;
  gap: 10px;
  padding-bottom: 10px;
}

.sub-container1 img {
  border-radius: 10px;
  width: 230px;
  height: 120px;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.sub-container1 h6 {
  font-weight: bold;
}

.sub-container1 p {
  font-size: 0.9rem;
}

.w {
  display: flex;
}

.h6 {
  font-weight: bold;
}

.hp {
  font-size: 0.9rem;
}

.blog1-text {
  width: 90%;
  margin-top: 10px;
  margin-inline-start: 1.7rem;
}

.blog1-img {
  border-radius: 10px;
  width: 90%;
  height: 68%;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.blog1 {
  padding-left: 0;
  padding-right: 0;
}

.section5 .title p {
  font-size: 1.1rem;
}

.section3,
.section5 {
  margin-top: 60px;
}

.btn4 {
  margin: 0 auto;
  margin-top: 3px;
  margin-bottom: 5px;
  width: fit-content;
}

/* footer */

.footer {
  background-color: #1a1a1a;
  color: white;
  margin-top: 60px;
  margin-bottom: 0;
}

footer {
  padding-top: 40px;
}

.footer-head {
  text-align: center;
  width: 100%;
  margin-bottom: 20px;
}

.footer-head p {
  width: 41%;
  margin: 0 auto;
  padding-bottom: 15px;
  border-bottom: 1.1px solid #333;
}

.footer-links {
  justify-content: center;
  align-items: center;
  padding-bottom: 15px;
  gap: 30px;
  text-decoration: none;
  border-bottom: 1px solid #333;
}

.footer-links a {
  color: white;
}

.footer-links a:hover,
.footer-links a:active {
  color: #ffa600;
}

.footer-icons {
  filter: contrast(0) brightness(100);
}



/* Responsiveness */
@media (max-width: 991px) {
  .nav-button {
    position: absolute;
    margin-top: 10px;
    top: 7px;
    left: 55vw;
  }

  .navbar-brand {
    margin-top: 4px;
  }

  .navbar-toggler {
    border-color: #ffa600;
  }

  .navbar-toggler {
    color: #ffa600;
  }

  .navbar-toggler-icon {
    color: #ffa600;
  }

  .section3 {
    display: flex;
    flex-direction: column;
    text-align: center;
    width: 100%;
    margin: 0 auto;
  }

  .section3 img {
    margin-left: 25%;
    margin-right: 25%;
  }

  .section5 {
    width: 100%;
    overflow-x: hidden;
    margin-left: 5%;
  }

  .section5 .w {
    width: 100%;
    display: flex;
    flex-direction: column;
  }

  .blog1 {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 20px;
    margin: 0 auto;
  }

  .blog1-text {
    width: 90%;
    margin-inline-start: 0;
  }
}

@media (max-width: 575px) {
  .section3 img {
    margin-left: 12%;
  }

  .row {
    margin-right: 0;
  }
}

@media (max-width: 500px) {
  header {
    margin-bottom: 100px;
  }

  .nav-button {
    top: 3px;
    left: 45vw;
    font-size: 0.9rem;
  }

  .navbar-brand {
    font-size: 1.2rem;
  }

  html {
    overflow-x: hidden;
  }
}

@media (max-width: 396px) {
  .navbar-brand {
    font-size: 1rem;
  }

  .navbar-toggler {
    width: 50px;
    height: 40px;
    padding: 5px;
  }

  .navbar-toggler-icon {
    width: 30px;
  }
}

@media (max-width: 575px) {
  .ff {
    width: 100%;
    margin: 0 auto;
  }
}

/* About us page */
.about-us {
  margin: 0 auto;
  margin-top: 100px;
  padding-top: 200px;
  text-align: center;
  background-image: url("../assets/about.jpg");
  background-size: cover;
  background-position: center;
  color: white;
  padding: 60px 20px;
  text-align: center;
}

.au-text {
  background-color: rgba(0, 0, 0, 0.5);
  padding: 100px 0;
  border-radius: 10px;
}

.au-text h1 {
  font-size: 3rem;
  font-weight: bold;
}

.au-text p {
  font-size: 1.1rem;
}

.more-about {
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-around;
  margin: 50px 100px;
  gap: 70px;
}

.more-about h2 {
  margin-bottom: 20px;
}

.more-about .our-story h2 {
  margin-bottom: 10px;
}

.more-about .our-story img {
  border-radius: 50%;
  width: 200px;
  margin-top: 0;
  margin-bottom: 10px;
}

.more-about ul {
  margin-left: 20px;
  padding-left: 0;
}

.more-about ul li {
  margin-bottom: 10px;
  font-size: 1rem;
}

.community {
  background-color: rgb(255, 251, 244);
  color: black;
  text-align: center;
  margin: 0 auto;
  padding-top: 100px;
  padding-bottom: 100px;
}

.btn5 {
  width: 500px;
  padding: 10px;
  font-size: 1rem;
}

.testimonials {
  padding-top: 50px;
  padding-bottom: 100px;
}

.testimonials h2 {
  text-align: center;
  margin: 0 auto;
  margin-bottom: 10px;
}

.testimonials p {
  line-height: 1.2;
}

.testimonials .testimonials-card {
  width: 300px;
  padding: 10px 20px;
  font-size: 0.9rem;
  background-color: #ffa600;
  color: white;
  border: none;
  border-radius: 10px;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.testimonials .testimonials-card .stars {
  font-size: 1.5rem;
}

.testimonials .testimonials-card .name {
  font-size: 1rem;
  font-weight: bold;
}

.f1 {
  margin-top: 0;
}

@media (max-width: 991px) {
  .au-text {
    padding: 50px 0;
  }

  .footer-head p {
    width: 90%;
  }

  .ff {
    text-align: center;
  }
}

@media (max-width: 879px) {
  .more-about {
    flex-direction: column-reverse;
    justify-content: center;
  }
}

@media (max-width: 540px) {
  .btn5 {
    width: 80%;
  }
}

.rm{
  margin-bottom: 100px;
}

/* Recipes page */
.rhs {
  margin: 0 auto;
  text-align: center;
  margin-top: 100px;
  background: url(../assets/explore.jpeg);
  background-size: cover;
  background-position: center;
  color: white;
  padding-top: 50px;
  padding-bottom: 100px;
}

.rhs h1 {
  font-size: 3rem;
  font-weight: bold;
}

.remove-recipes {
  display: none;
}

.searchbar {
  display: flex;
  flex-direction: row;
  gap: 5px;
  justify-content: center;
  margin: 0 auto;
  width: 100%;
  margin-bottom: 20px;
}

.searchbar input {
  width: 70%;
  border-radius: 5px;
  border: 0.7px solid;
}

.searchbar button {
  width: fit-content;
  border-radius: 5px;
}


.searchbar .search-input[type="search"] {
  width: 400px;
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.searchbar .search-input:focus {
  border-color: #ffa600;
  outline: none;
}

.search-result-row .card .btn {
  border: 1px solid #ffa600;
}

.recipe-section {
  margin: 0 auto;
  text-align: center;
  margin-top: 50px;
  margin-bottom: 50px;
}

.recipe-section h2 {
  margin-bottom: 20px;
}

.recipe-container {
  display: flex;
  gap: 30px;
  justify-content: center;
  margin: 0 auto;
  margin-left: 5%;
  margin-right: 5%;
}

.recipe-section .card {
  margin: 0 auto;
  text-align: left;
  margin-bottom: 30px;
}

.recipe-section .card img {
  height: 17rem;
  object-fit: cover;
  border-radius: 10px;
}

.recipe-container .card {
  height: 102rem;
  padding: 15px;
  border: 1px solid #ffa600;
  border-radius: 10px;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.main-section .card {
  height: 107rem;
}

.recipe-container .card h5 {
  font-weight: bold;
}

.recipe-container .card .ull {
  list-style: none;
  margin-left: 0;
  padding-left: 0;
}

.recipe-container .card .ull li {
  margin-bottom: 10px;
  font-weight: bold;
}

.recipe-container .card .ul2 li, .recipe-container .card ol li {
  margin-bottom: 4px;
}

.recipe-container .card h6 {
  font-weight: bold;
}

.recipe-card {
  margin-top: 80px;
}

.recipe-title {
  font-size: 1.8rem;
  font-weight: 700;
}

.recipe-text {
  line-height: 1.4;
}

.sh {
  font-weight: bold;
  font-size: 1.2rem;
}

.bold-text {
  font-weight: bold;
  font-size: 1.06rem;
  margin-right: 5px;
  margin-bottom: 7px;
}

.instructions {
  margin-left: 0; 
  padding-left: 0;
}

.review-form-section {
  background-color: #f9f9f9;
  padding: 40px;
  border-radius: 10px;
  max-width: 600px;
  height: 600px;
  margin: auto;
}

.review-form {
  display: flex;
  flex-direction: column;
}

.review-form-section .form-group {
  margin-bottom: 20px;
}

label {
  font-weight: bold;
  margin-bottom: 8px;
}

input[type="text"],
input[type="email"],
textarea {
  width: 100%;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  font-size: 16px;
}

.review-form-section .form-group
input:focus, .review-form-section .form-group
textarea:focus, .review-form-section .form-group
select:focus {
  border-color: #ffa600;
  outline: none;
}

.review-form-section .form-group
select:focus {
  box-shadow: none;
}

.review-form-section textarea {
  resize: vertical;
}

.review-form-section button {
  padding: 12px;
  background-color: #ffa600;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
}

.f2 {
  margin-top: 50px;
}

@media (max-width: 1000px) {
  .recipe-container .card {
    height: 107rem;
  }
}

@media (max-width: 950px) {
  .recipe-container {
    flex-direction: column;
  }
}

@media (max-width: 490px) {
  .rhs form .search-input[type="search"] {
    width: 300px;
  }

  .recipe-container .card{
    height: 118rem;
  }

.main-section .card  {
    height: 122rem;
  }
}

@media (max-width: 400px) {
  .rhs form .search-input[type="search"] {
    width: 200px;
  }
}

@media (max-width: 600px) {
  .card1 .card {
    height: 131rem;
    padding-top: 0;
  }


  .card0 .card {
    height: 105rem;
  }
}

@media (max-width: 500px) {
  .more-about {
    margin: 0 5%;
    gap: 25px;
  }

  .search-result .card {
    height: 24rem;
  }
}

.rfs {
  margin-top: 10px;
}

.go-back-btn {
  width: 100%;
  margin: 40px auto;
  box-shadow: none;
  margin-bottom: 30px;
}

.search-result .row {
  justify-content: center;
  gap: 16px;
}

.search-result .card {
  height: 23rem;
  padding-top: 10px;
  padding-bottom: 10px;
  border: 1px solid #ffa600;
}

.positive-result-header {
  display: none;
}

.js-positive-result-header {
  margin-top: 10px;
  margin-bottom: 13px;
}
